Announcement

  •  » Website
  •  » Extension manager, simplified list for Piwigo versions

#1 2011-12-21 21:34:41

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13548

Extension manager, simplified list for Piwigo versions

From time to time, a user says he doesn't want to update to 2.3.1 (this is just an example) because many plugins are only compatible with Piwigo 2.3.0. This is what piwigo.org/ext says when you filter on a specific version. This is a problem because actually there should be no problem to use a 2.3.0 compatible plugin on a 2.3.1.

The plugin manager inside Piwigo only takes into account the major version 2.3 and not the minor version. Shouldn't we do the same with piwigo.org/ext ?

Only a few exception will have a problem with that. For example [extension by mistic100] Subscribe to Comments is compatible with 2.3.1 but not with 2.3.0.

Proposition: let's simplify the list of Piwigo versions on piwigo.org/ext, we only keep 2.1, 2.2, 2.3... and not 2.2.1, 2.2.3, ..., 2.3.1, 2.3.2.

When we meet an exception, we can just write it in the extension description.

What's your opinion? (and what's P@t opinion?)

Offline

 

#2 2011-12-21 21:43:26

flop25
Piwigo Team
2006-07-06
7037

Re: Extension manager, simplified list for Piwigo versions

hello again ^^

My proposal is to keep the current way and the drop down menu but with a new menu : this http://www.erichynds.com/jquery/jquery- … ct-widget/ is very interesting especially the demo With Optgroups

a question why checking only the x.y version on Piwigo and not the x.y.z ?

If my proposal is not chosen, I suggest to delete the dropdown menu and come back to the old checkbox, because we need to click twice more with that menu


To get a better help : Politeness like Hello-A link-Your past actions precisely described
Check my extensions : more than 30 available
who I am and what I do : http://fr.gravatar.com/flop25
My gallery : an illustration of how to integrate Piwigo in your website

Offline

 

#3 2011-12-21 22:10:49

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13548

Re: Extension manager, simplified list for Piwigo versions

flop25 wrote:

especially the demo With Optgroups

That doesn't change the problem. When you publish "Community 2.3.d", I can't check Piwigo version 2.3.3. And the day 2.3.3 is out, someone will say "I keep my 2.3.2 because Community is not compatible with 2.3.3".

flop25 wrote:

a question why checking only the x.y version on Piwigo and not the x.y.z ?

I think the way it's done in Piwigo is better than the way it's done on piwigo.org/ext, and it only take the major version into account. So why making things complicated with minor version if we never use them and that it makes things hard to read for visitors?

If my proposal is not chosen, I suggest to delete the dropdown menu and come back to the old checkbox, because we need to click twice more with that menu

If we only keep major versions, we will have much less options.

Offline

 

#4 2011-12-22 01:09:17

P@t
Piwigo Team
Nice
2007-06-13
4098

Re: Extension manager, simplified list for Piwigo versions

Yep, I think it's a good idea to keep only branches in PEM.


P@t

Offline

 

#5 2011-12-23 15:51:25

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13548

Re: Extension manager, simplified list for Piwigo versions

P@t wrote:

Yep, I think it's a good idea to keep only branches in PEM.

Will it generate any problem on Piwigo side?

Offline

 

#6 2012-01-02 13:38:09

flop25
Piwigo Team
2006-07-06
7037

Re: Extension manager, simplified list for Piwigo versions

I thought to something : we usually add triggers or minor functionalities in minor release. A plugin might be not compatible before this addition, but so far we didn't have any report on the forum (but people don't report automatically on forums)


To get a better help : Politeness like Hello-A link-Your past actions precisely described
Check my extensions : more than 30 available
who I am and what I do : http://fr.gravatar.com/flop25
My gallery : an illustration of how to integrate Piwigo in your website

Offline

 

#7 2012-01-02 13:51:01

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13548

Re: Extension manager, simplified list for Piwigo versions

Yes, it happens, but that's a minor issue compared to the advantage of simplifying the list of versions. When this kind of problem occurs, the extension author just has to say explicitely something like "needs Piwigo 2.3.1+"

Offline

 

#8 2012-01-02 15:56:29

flop25
Piwigo Team
2006-07-06
7037

Re: Extension manager, simplified list for Piwigo versions

plg wrote:

Yes, it happens, but that's a minor issue compared to the advantage of simplifying the list of versions. When this kind of problem occurs, the extension author just has to say explicitely something like "needs Piwigo 2.3.1+"

okay, that's a good compromise to see the simplification of the list


To get a better help : Politeness like Hello-A link-Your past actions precisely described
Check my extensions : more than 30 available
who I am and what I do : http://fr.gravatar.com/flop25
My gallery : an illustration of how to integrate Piwigo in your website

Offline

 

#9 2012-05-16 16:29:12

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13548

Re: Extension manager, simplified list for Piwigo versions

The good news is that, after reading the code carefully and testing with a local PEM, we can merge versions in PEM and Piwigo will still deal with the simplified versions. No code change required in PEM and in Piwigo.

Offline

 

#10 2012-05-16 16:35:10

ddtddt
Piwigo Team
Quetigny - France
2007-07-27
7046

Re: Extension manager, simplified list for Piwigo versions

I'm not sure at all that this is a good idea


You love Piwigo so don't hesitate to participate, learn more on the "Contribute to Piwigo" page. If you don't have much time for contribution, you can also help the project with a donation.

Offline

 

#11 2012-05-16 16:37:03

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13548

Re: Extension manager, simplified list for Piwigo versions

why?

Offline

 

#12 2012-05-16 16:42:39

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13548

Re: Extension manager, simplified list for Piwigo versions

Considering our private discussion, I know you fear that a plugin might be compatible with Piwigo 2.3.1 and not with 2.3.0. You're right, it happens sometimes. As said earlier in [Forum, post 126764 by plg in topic 18553] Extension manager, simplified list for Piwigo versions, we can deal with this occasional issue with a note in the description.

What I see currently is that some users fear to update their Piwigo because piwigo.org/ext (PEM) says their plugins are not compatible with the latest version of Piwigo... while Piwigo embedded plugin manager offers to install the very same plugin. We'd better be coherent between what piwigo.org/ext and Piwigo embedded plugin manager say.

Offline

 

#13 2012-05-16 16:49:35

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13548

Re: Extension manager, simplified list for Piwigo versions

I plan to backup the database before merging (simplifying) versions. In case we encounter problems we know we can go back to accurate versions.

Offline

 

#14 2014-08-16 01:43:08

congnghenhat
Member
vietnam
2014-07-17
7

Re: Extension manager, simplified list for Piwigo versions

hi, me too

Offline

 

#15 2014-08-26 16:40:07

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13548

Re: Extension manager, simplified list for Piwigo versions

Job's done. Yes, it took 2.5 years!

The system of "only branch" was used since 2.4 and nobody (we can hope) is still using 2.3. Let's clean a bit this versions list!

Offline

 
  •  » Website
  •  » Extension manager, simplified list for Piwigo versions

Board footer

Powered by FluxBB

github twitter newsletter Donate Piwigo.org © 2002-2022 · Contact